### Method

# Fwupd SecurityAttr has_guid

#### Declaration [src]

    gboolean
    fwupd_security_attr_has_guid (
      FwupdSecurityAttr* self,
      const gchar* guid
    )

#### Description [src]

Finds out if a specific GUID was added to the attribute.

Available since: | 1.7.0

#### Parameters

`guid` | `const gchar*`
| The attribute guid.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the self matches.